    // Listing 10.10

    // operator++ returns a nameless temporary object


    typedef unsigned short  USHORT;

    #include <iostream.h>


    class Counter

    {

       public:

         Counter();

         Counter(USHORT val);

         ~Counter(){}

         USHORT GetItsVal()const { return itsVal; }

         void SetItsVal(USHORT x) {itsVal = x; }

         void Increment() { ++itsVal; }

         Counter operator++ ();


      private:

         USHORT itsVal;


   };


   Counter::Counter():

   itsVal(0)

   {}


   Counter::Counter(USHORT val):

   itsVal(val)

   {}


   Counter Counter::operator++()

   {

      ++itsVal;

      return Counter (itsVal);

   }


   int main()

   {

      Counter i;

      cout << "The value of i is " << i.GetItsVal() << endl;

      i.Increment();

      cout << "The value of i is " << i.GetItsVal() << endl;

      ++i;

      cout << "The value of i is " << i.GetItsVal() << endl;

      Counter a = ++i;

      cout << "The value of a: " << a.GetItsVal();

      cout << " and i: " << i.GetItsVal() << endl;

    return 0;

   }

